import {
  stringify
} from "./chunk-RYQLWER5.js";

// src/index.ts
import { createUnplugin } from "unplugin";
var cloudflareHeadersFileName = "_headers";
var virtualHeadersFile = "virtual:cloudflare-headers";
var resolvedVirtualHeadersFile = `\0${virtualHeadersFile}`;
var src_default = createUnplugin((options) => ({
  name: "unplugin-cloudflare-headers",
  buildEnd() {
    if (!options)
      return;
    const headersStringified = stringify(options);
    this.emitFile({ type: "asset", fileName: cloudflareHeadersFileName, source: headersStringified });
  },
  resolveId(id) {
    if (id.trim() === virtualHeadersFile)
      return { id: resolvedVirtualHeadersFile };
    return null;
  },
  load(id) {
    if (id === resolvedVirtualHeadersFile) {
      const headers = typeof options === "object" ? JSON.stringify(options) : "{}";
      return `export default ${headers}`;
    }
  }
}));

export {
  src_default
};
