"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/vite.ts
var vite_exports = {};
__export(vite_exports, {
  default: () => vite_default
});
module.exports = __toCommonJS(vite_exports);

// src/index.ts
var import_unplugin = require("unplugin");

// src/utils.ts
function stringify(obj) {
  let result = "";
  if (!obj || Object.keys(obj).length === 0)
    return "";
  for (const [host, headers] of Object.entries(obj)) {
    if (!result)
      result += host;
    else
      result += `
${host}`;
    result += headers.reduce((acc, header) => {
      const [headerName, headerValue] = Object.entries(header)[0];
      if (headerValue === false)
        return `${acc}
	! ${headerName}`;
      return `${acc}
	${headerName}: ${headerValue}`;
    }, "");
  }
  return result;
}

// src/index.ts
var cloudflareHeadersFileName = "_headers";
var virtualHeadersFile = "virtual:cloudflare-headers";
var resolvedVirtualHeadersFile = `\0${virtualHeadersFile}`;
var src_default = (0, import_unplugin.createUnplugin)((options) => ({
  name: "unplugin-cloudflare-headers",
  buildEnd() {
    if (!options)
      return;
    const headersStringified = stringify(options);
    this.emitFile({ type: "asset", fileName: cloudflareHeadersFileName, source: headersStringified });
  },
  resolveId(id) {
    if (id.trim() === virtualHeadersFile)
      return { id: resolvedVirtualHeadersFile };
    return null;
  },
  load(id) {
    if (id === resolvedVirtualHeadersFile) {
      const headers = typeof options === "object" ? JSON.stringify(options) : "{}";
      return `export default ${headers}`;
    }
  }
}));

// src/vite.ts
var vite_default = src_default.vite;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {});
exports.default = module.exports;